Subject: RE: [rohc] Context replication as a separate document?

From: "Price, Richard" <[email-masked]>
Date: Mon, 16 Jun 2003 17:57:54 +0100

> > In general, I think that a good overall structure for ROHC-TCP
> > would be the following:
> > 
> > * 1 draft containing the TCP-specific portion of the profile.
> > 
> > * 1 or more drafts containing protocol-independent mechanisms,
> >   which we might want to reuse for different ROHC profiles.
> 
> Yes, and I guess context replication is a mechanism that might
> be reused in the future. That is why I personally believe it
> makes sense to keep it separate. Especially the background and 
> analysis is useful not to repeat in new documents.

Agreed!

> > The packet formats for context replication are always specific
> > to a particular profile, so I don't see any value in publishing
> > them separately from the remainder of the packet formats. 
> 
> I totally agree with you that they are profile specific, but I
> also think it is useful with examples in this draft (currently
> the packet formats are there for that purpose and are only
> included as an appendix).

But the actual, normative IR-REPLICATE packet formats would go in
the ROHC-TCP draft instead? Do you think there's any chance of
reaching consensus on at least some initial IR-REPLICATE packets
(CO packets too, come to think of it) that we could then include in
an updated ROHC-TCP draft before Vienna? It would be really nice to
fill in these gaps, as we'd then have a complete, working proposal
for a TCP compression profile...

Regards,

Richard
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Ghyslain Pelletier <[email-masked]>
Date: Tue, 17 Jun 2003 11:32:35 +0200

"Price, Richard" wrote:

[snip]

> the ROHC-TCP draft instead?

Yes, that's my opinion. As L.-E pointed out, the appendix in the ROHC-CR
draft was only to illustrate a possibility and generate a discussion. It
was meant to be removed from that draft at a later stage and the formats
resulting from the discussion to be included in the relevant document
(e.g. ROHC-TCP draft).

> Do you think there's any chance of
> an updated ROHC-TCP draft before Vienna?

This is my hope too. However, I would still like to have the discussion
about how we are planning to document those, so I find it doubtful that
we will succeed in including them in the draft before Vienna. 

> It would be really nice to